<app-unified-header></app-unified-header>
<div class="container ui-area">

    <div id="success-alert" class="alert alert-success alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <span id="success-alert-message"></span>
    </div>
    <app-in-page-alerts></app-in-page-alerts>

    <h5 class="page-header">Objects Visible to You</h5>
    <div class="row search-bar-new-button-row">
        <div class="col-md-6 col-sm-12 col-12">
            <app-search-bar></app-search-bar>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <button class="new-button-objects" (click)="isShowCreateObjectsModalDlg=!isShowCreateObjectsModalDlg">+
                New</button>
            <div class="objects-container" *ngIf="isShowCreateObjectsModalDlg">
                <h5 class="new-button" id="new_button" (click)="createLibrary()">Library</h5>
                <h5 class="other-objects">Other objects</h5>
                <div class="other-objects-container">
                    <span class="object-error-message" *ngIf="objectsErrorMsg">{{objectsErrorMsg}}</span>
                    <input placeholder="Specify Schema  here" id="input-schema-name" maxlength="256" />
                    <br>
                    <button class="new-button" (click)="cancelObjectType()">Cancel</button>
                    <button class="new-button" (click)="submitObjectType()">Submit</button>
                </div>
            </div>
        </div>
    </div>


    <p id="error-message-text"></p>
    <app-loading-gif-text></app-loading-gif-text>
    <div id="table-parent" *ngIf="objectsList && objectsList.length > 0">
        <table id="data-table" class="table table-striped table-bordered dt-responsive nowrap" style="width:100%">
            <thead>
                <tr style="background-color:rgba(0, 0, 0, 0.05);">
                    <th>Type</th>
                    <th>Name</th>
                    <th>Description</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody id="data-table-body"
                *ngFor="let index of objectsList | paginate: { itemsPerPage: itemsPerPage, currentPage: startIndex + 1, totalItems: totalNumber  }">
                <tr style="background-color: white;">
                    <td>{{index.jsonClass}}</td>
                    <td>{{index.name}} <span *ngIf="index.email">({{index.email}})</span><br><span
                            class="object-properties">(Id: {{index._id}})</span></td>
                    <td>{{index.description}}</td>
                    <td>
                        <select (change)='onActionSelected(index)' id="select_{{index._id}}">
                            <option value="select_action">Select Action</option>
                            <option value="view" *ngIf="index.is_read">View</option>
                            <option value="edit" *ngIf="index.is_update_content">Edit</option>
                            <option value="delete" *ngIf="index.is_delete">Delete</option>
                            <option value="add_remove_member" *ngIf="index.isTeam">Add/Remove Members</option>
                            <option value="add_remove" *ngIf="index.is_update_content && index.isLibrary">Add/Remove
                                Books</option>
                        </select>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="row pagination-row" *ngIf="objectsList && objectsList.length > 0">
        <div class="col-md-6 col-sm-12 col-12">
            <span class="table-footer-showing-text"><b>Showing {{startIndex + 1}} -
                    {{(startIndex) * itemsPerPage + objectsList.length}} of {{totalNumber}}
                    Items</b></span>
        </div>
        <div class="col-md-6 col-sm-12 col-12">
            <div class="paginator">
                <pagination-controls (pageChange)="pageChanged($event)"></pagination-controls>
            </div>
        </div>
    </div>
</div>

<ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
</ngx-spinner>
